<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>WorldEditException (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="WorldEditException (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/sk89q/worldedit/WorldEditException.html" target="_top">Frames</a></li>
<li><a href="WorldEditException.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.java.lang.Throwable">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit</div>
<h2 title="Class WorldEditException" class="title">Class WorldEditException</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.lang.Throwable</li>
<li>
<ul class="inheritance">
<li>java.lang.Exception</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.WorldEditException</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../com/sk89q/worldedit/util/auth/AuthorizationException.html" title="class in com.sk89q.worldedit.util.auth">AuthorizationException</a>, <a href="../../../com/sk89q/worldedit/DisallowedItemException.html" title="class in com.sk89q.worldedit">DisallowedItemException</a>, <a href="../../../com/sk89q/worldedit/EmptyClipboardException.html" title="class in com.sk89q.worldedit">EmptyClipboardException</a>, <a href="../../../com/sk89q/worldedit/util/io/file/FilenameException.html" title="class in com.sk89q.worldedit.util.io.file">FilenameException</a>, <a href="../../../com/sk89q/worldedit/IncompleteRegionException.html" title="class in com.sk89q.worldedit">IncompleteRegionException</a>, <a href="../../../com/sk89q/worldedit/extension/input/InputParseException.html" title="class in com.sk89q.worldedit.extension.input">InputParseException</a>, <a href="../../../com/sk89q/worldedit/command/InsufficientArgumentsException.html" title="class in com.sk89q.worldedit.command">InsufficientArgumentsException</a>, <a href="../../../com/sk89q/worldedit/util/formatting/component/InvalidComponentException.html" title="class in com.sk89q.worldedit.util.formatting.component">InvalidComponentException</a>, <a href="../../../com/sk89q/worldedit/command/tool/InvalidToolBindException.html" title="class in com.sk89q.worldedit.command.tool">InvalidToolBindException</a>, <a href="../../../com/sk89q/worldedit/MaxChangedBlocksException.html" title="class in com.sk89q.worldedit">MaxChangedBlocksException</a>, <a href="../../../com/sk89q/worldedit/MaxRadiusException.html" title="class in com.sk89q.worldedit">MaxRadiusException</a>, <a href="../../../com/sk89q/worldedit/NotABlockException.html" title="class in com.sk89q.worldedit">NotABlockException</a>, <a href="../../../com/sk89q/worldedit/regions/RegionOperationException.html" title="class in com.sk89q.worldedit.regions">RegionOperationException</a>, <a href="../../../com/sk89q/worldedit/UnknownDirectionException.html" title="class in com.sk89q.worldedit">UnknownDirectionException</a>, <a href="../../../com/sk89q/worldedit/UnknownItemException.html" title="class in com.sk89q.worldedit">UnknownItemException</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">WorldEditException</span>
extends java.lang.Exception</pre>
<div class="block">Parent for all WorldEdit exceptions.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../serialized-form.html#com.sk89q.worldedit.WorldEditException">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/WorldEditException.html#WorldEditException--">WorldEditException</a></span>()</code>
<div class="block">Create a new exception.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/WorldEditException.html#WorldEditException-java.lang.String-">WorldEditException</a></span>(java.lang.String&nbsp;message)</code>
<div class="block">Create a new exception with a message.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/WorldEditException.html#WorldEditException-java.lang.String-java.lang.Throwable-">WorldEditException</a></span>(java.lang.String&nbsp;message,
                  java.lang.Throwable&nbsp;cause)</code>
<div class="block">Create a new exception with a message and a cause.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/worldedit/WorldEditException.html#WorldEditException-java.lang.Throwable-">WorldEditException</a></span>(java.lang.Throwable&nbsp;cause)</code>
<div class="block">Create a new exception with a cause.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Throwable">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Throwable</h3>
<code>addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="WorldEditException--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WorldEditException</h4>
<pre>protected&nbsp;WorldEditException()</pre>
<div class="block">Create a new exception.</div>
</li>
</ul>
<a name="WorldEditException-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WorldEditException</h4>
<pre>protected&nbsp;WorldEditException(java.lang.String&nbsp;message)</pre>
<div class="block">Create a new exception with a message.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>message</code> - the message</dd>
</dl>
</li>
</ul>
<a name="WorldEditException-java.lang.String-java.lang.Throwable-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WorldEditException</h4>
<pre>protected&nbsp;WorldEditException(java.lang.String&nbsp;message,
                             java.lang.Throwable&nbsp;cause)</pre>
<div class="block">Create a new exception with a message and a cause.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>message</code> - the message</dd>
<dd><code>cause</code> - the cause</dd>
</dl>
</li>
</ul>
<a name="WorldEditException-java.lang.Throwable-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>WorldEditException</h4>
<pre>protected&nbsp;WorldEditException(java.lang.Throwable&nbsp;cause)</pre>
<div class="block">Create a new exception with a cause.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cause</code> - the cause</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/sk89q/worldedit/WorldEditException.html" target="_top">Frames</a></li>
<li><a href="WorldEditException.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.java.lang.Throwable">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
